#! /usr/bin/env python

#######################################
# MergeSHPfiles.py
# A python script to merge shapefiles
# Author: <YOUR NAME>
# Email: <YOUR EMAIL>
# Date: DD/MM/YYYY
# Version: 1.0
#######################################

import os
import subprocess
import glob 

# Input ENVI image files.
inFilesPath = "ENVI_Images/*.env"
# Path for the output files.
outFilePath = "TIFFImages"

# Get list of input shapefiles using glob module.
fileList = glob.glob(inFilesPath)

# A string for the command to be built
command = ''
# Iterate through the files.
for file in fileList:
	# Remove the directory path from the output file.
	newOutFileName = os.path.basename(file)
	# Remove the file extention from the output file.
	newOutFileName = os.path.splitext(newOutFileName)[0]
	# Add TIFF extention to file name
	newOutFileName = newOutFileName + ".tif"
	# Create the command
	command = 'gdal_translate -of GTIFF ' + file + ' ' + os.path.join(outFilePath, newOutFileName)
	# Execute the current command
	print(command)
	subprocess.call(command,shell=True)
