#! /usr/bin/env python

#######################################
# MergeSHPfiles.py
# A python script to merge shapefiles
# Author: <YOUR NAME>
# Email: <YOUR EMAIL>
# Date: DD/MM/YYYY
# Version: 1.0
#######################################

import os.path
import subprocess
import glob

# Define the input directory
inputShpFiles = './TreeCrowns/*.shp'
# Define the output file
newSHPFile = 'Merged_TreeCrowns.shp'

# ogr2ogr requires that the layer name is provided, for 
# a shapefile this is the file name without the path or
# extention. The following commands use the os.path
# module to remove those if present.

# Remove the directory path from the output file.
newSHPFileBaseName = os.path.basename(newSHPFile)
# Remove the file extention from the output file.
newSHPFileBaseName = os.path.splitext(newSHPFileBaseName)[0]

# Get list of input shapefiles using glob module.
fileList = glob.glob(inputShpFiles)

# Variable used to identify the first file
first = True
# A string for the command to be built
command = ''
# Iterate through the files.
for file in fileList:
   if first:
	   # If the first file make a copy to create the output file
	   command = 'ogr2ogr ' + newSHPFile + ' ' + file
	   first = False
   else:
	   # Otherwise append the current shapefile to the output file
	   command = 'ogr2ogr -update -append ' + newSHPFile + ' '  + \
	   file + ' -nln ' + newSHPFileBaseName
   # Execute the current command
   print(command)
   subprocess.call(command,shell=True)