#! /usr/bin/env python

#######################################
# MergeSHPfiles.py
# A python script to merge shapefiles
# Author: <YOUR NAME>
# Email: <YOUR EMAIL>
# Date: DD/MM/YYYY
# Version: 1.0
#######################################

import os.path
import subprocess
import glob
import sys

# Get the number of arguments
numArgs = len(sys.argv)
# Check there are only 2 input argument (i.e., the input file
# and output base).
# Note that argument 0 (i.e., sys.argv[0]) is the name
# of the script uncurrently running.
if numArgs == 3:
	# Define the input file directory
	inputShpFiles = sys.argv[1] + "*.shp"
	# Define the output file
	newSHPFile = sys.argv[2]
	
	# ogr2ogr requires that the layer name is provided, for 
	# a shapefile this is the file name without the path or
	# extention. The following commands use the os.path
	# module to remove those if present.
	
	# Remove the directory path from the output file.
	newSHPFileBaseName = os.path.basename(newSHPFile)
	# Remove the file extention from the output file.
	newSHPFileBaseName = os.path.splitext(newSHPFileBaseName)[0]
	
	# Get list of input shapefiles using glob module.
	fileList = glob.glob(inputShpFiles)
	
	# Variable used to identify the first file
	first = True
	# A string for the command to be built
	command = ''
	# Iterate through the files.
	for file in fileList:
	   if first:
		   # If the first file make a copy to create the output file
		   command = 'ogr2ogr ' + newSHPFile + ' ' + file
		   first = False
	   else:
		   # Otherwise append the current shapefile to the output file
		   command = 'ogr2ogr -update -append ' + newSHPFile + ' '  + \
		   file + ' -nln ' + newSHPFileBaseName
	   # Execute the current command
	   print(command)
	   subprocess.call(command,shell=True)
else:
	print('ERROR. Command should have the form:')
	print('python MergeSHPfiles_cmd.py <Input File Path> <Output File>')