#!/usr/bin/env python

# Import the system library
import sys
# Import the RIOS rat library.
from rios import rat
# Import the python Argument parser
import argparse

# A function for reading the RAT
def readRatCol(imageFile, colName):
    # Use RIOS to read the column name
    # The contents of the column are
    # printed to the console for the 
    # user to see.
    print(rat.readColumn(imageFile, colName))

# This is the first part of the script to 
# be executed.
if __name__ == '__main__':
    # Create the command line options 
    # parser.
    parser = argparse.ArgumentParser()
    # Define the argument for specifying the input file.
    parser.add_argument("-i", "--input", type=str, 
                        help="Specify the input image file.")
    # Define the argument for specifying the column name.
    parser.add_argument("-n", "--name", type=str, 
                        help="Specify the column name.")
    # Call the parser to parse the arguments.
    args = parser.parse_args()
    
    # Check that the input parameter has been specified.
    if args.input == None:
        # Print an error message if not and exit.
        print("Error: No input image file provided.")
        sys.exit()
    # Check that the input parameter has been specified.
    if args.name == None:
        # Print an error message if not and exit.
        print("Error: No RAT column name provided.")
        sys.exit()
        
    # Run the function read and print the
    # RAT column.
    readRatCol(args.input, args.name)
